zenilib: zenilib/jni/external/freetype2/src/gxvalid/gxvlcar.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
gxvlcar.c File Reference
`#include "gxvalid.h"`
`#include "gxvcommn.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_gxvlcar
#define | GXV_LCAR_DATA(FIELD) GXV_TABLE_DATA( lcar, FIELD )

## Typedefs

typedef struct GXV_lcar_DataRec_ * | GXV_lcar_Data
typedef struct GXV_lcar_DataRec_ | GXV_lcar_DataRec

## Functions

static GXV_LookupValueDesc | gxv_lcar_LookupFmt4_transit (FT_UShort relative_gindex, GXV_LookupValueCPtr base_value_p, FT_Bytes lookuptbl_limit, GXV_Validator valid)
static void | gxv_lcar_LookupValue_validate (FT_UShort glyph, GXV_LookupValueCPtr value_p, GXV_Validator valid)
static void | gxv_lcar_partial_validate (FT_UShort partial, FT_UShort glyph, GXV_Validator valid)
| gxv_lcar_validate (FT_Bytes table, FT_Face face, FT_Validator ftvalid)

## Macro Definition Documentation

#define FT_COMPONENT trace_gxvlcar

Definition at line 38 of file gxvlcar.c.

#define GXV_LCAR_DATA | ( |  | FIELD | ) | GXV_TABLE_DATA( lcar, FIELD )

Definition at line 56 of file gxvlcar.c.

Referenced by gxv_lcar_partial_validate(), and gxv_lcar_validate().

## Typedef Documentation

typedef struct GXV_lcar_DataRec_ * GXV_lcar_Data

typedef struct GXV_lcar_DataRec_ GXV_lcar_DataRec

## Function Documentation

static GXV_LookupValueDesc gxv_lcar_LookupFmt4_transit | ( | FT_UShort | relative_gindex,
|  | GXV_LookupValueCPtr | base_value_p,
|  | FT_Bytes | lookuptbl_limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 148 of file gxvlcar.c.

References FT_NEXT_USHORT, FT_UNUSED, GXV_LIMIT_CHECK, GXV_ValidatorRec_::root, sizeof(), and GXV_LookupValueDesc_::u.

Referenced by gxv_lcar_validate().

static void gxv_lcar_LookupValue_validate | ( | FT_UShort | glyph,
|  | GXV_LookupValueCPtr | value_p,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 85 of file gxvlcar.c.

References FT_NEXT_SHORT, FT_NEXT_USHORT, GXV_EXIT, gxv_lcar_partial_validate(), GXV_LIMIT_CHECK, GXV_NAME_ENTER, i, GXV_ValidatorRec_::root, and GXV_LookupValueDesc_::u.

Referenced by gxv_lcar_validate().

static void gxv_lcar_partial_validate | ( | FT_UShort | partial,
|  | FT_UShort | glyph,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 68 of file gxvlcar.c.

References gxv_ctlPoint_validate(), GXV_EXIT, GXV_LCAR_DATA, and GXV_NAME_ENTER.

Referenced by gxv_lcar_LookupValue_validate().

gxv_lcar_validate | ( | FT_Bytes | table,
|  | FT_Face | face,
|  | FT_Validator | ftvalid
| ) |  |

Definition at line 182 of file gxvlcar.c.

References GXV_ValidatorRec_::face, FT_INVALID_FORMAT, FT_NEXT_ULONG, FT_NEXT_USHORT, FT_TRACE3, FT_TRACE4, GXV_INIT, GXV_LCAR_DATA, gxv_lcar_LookupFmt4_transit(), gxv_lcar_LookupValue_validate(), GXV_LIMIT_CHECK, gxv_LookupTable_validate(), GXV_LOOKUPVALUE_UNSIGNED, GXV_ValidatorRec_::lookupfmt4_trans, GXV_ValidatorRec_::lookupval_func, GXV_ValidatorRec_::lookupval_sign, GXV_ValidatorRec_::root, GXV_ValidatorRec_::table_data, and version.